﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ModuleLibrary.Versions.v_1_0_0.Generator {
    using System;
    
    
    /// <summary>
    ///   A strongly-typed resource class, for looking up localized strings, etc.
    /// </summary>
    // This class was auto-generated by the StronglyTypedResourceBuilder
    // class via a tool like ResGen or Visual Studio.
    // To add or remove a member, edit your .ResX file then rerun ResGen
    // with the /str option, or rebuild your VS project.
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "16.0.0.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    internal class GenResources {
        
        private static global::System.Resources.ResourceManager resourceMan;
        
        private static global::System.Globalization.CultureInfo resourceCulture;
        
        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal GenResources() {
        }
        
        /// <summary>
        ///   Returns the cached ResourceManager instance used by this class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Resources.ResourceManager ResourceManager {
            get {
                if (object.ReferenceEquals(resourceMan, null)) {
                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("ModuleLibrary.Versions.v_1_0_0.Generator.GenResources", typeof(GenResources).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
        
        /// <summary>
        ///   Overrides the current thread's CurrentUICulture property for all
        ///   resource lookups using this strongly typed resource class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Globalization.CultureInfo Culture {
            get {
                return resourceCulture;
            }
            set {
                resourceCulture = value;
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to UARTIF_CNT_OF_ALL_RX_FRAMES.
        /// </summary>
        internal static string GenDefineCntOfAllRxFrames {
            get {
                return ResourceManager.GetString("GenDefineCntOfAllRxFrames", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to UARTIF_CNT_OF_ALL_TX_FRAMES.
        /// </summary>
        internal static string GenDefineCntOfAllTxFrames {
            get {
                return ResourceManager.GetString("GenDefineCntOfAllTxFrames", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to UARTIF_CNT_OF_USED_MODULES.
        /// </summary>
        internal static string GenDefineCntOfModules {
            get {
                return ResourceManager.GetString("GenDefineCntOfModules", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to UARTIF_DET_MODULE_ID.
        /// </summary>
        internal static string GenDefineDetModuleId {
            get {
                return ResourceManager.GetString("GenDefineDetModuleId", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to UARTIF_MODULE_USE_DET.
        /// </summary>
        internal static string GenDefineModuleUseDet {
            get {
                return ResourceManager.GetString("GenDefineModuleUseDet", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to .\01_Generator.
        /// </summary>
        internal static string GenGeneratorFilePath {
            get {
                return ResourceManager.GetString("GenGeneratorFilePath", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to .\03_GenData\inc.
        /// </summary>
        internal static string GenHeaderFilePath {
            get {
                return ResourceManager.GetString("GenHeaderFilePath", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to .\03_GenData\inc\UartIf_MemMap.h.
        /// </summary>
        internal static string GenMemMapFile {
            get {
                return ResourceManager.GetString("GenMemMapFile", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to .\03_GenData\src.
        /// </summary>
        internal static string GenSourceFilePath {
            get {
                return ResourceManager.GetString("GenSourceFilePath", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Start generation of module configuration header file..
        /// </summary>
        internal static string LogMsg_GenHeaderCfgFile {
            get {
                return ResourceManager.GetString("LogMsg_GenHeaderCfgFile", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Start generation of module internal behavior file..
        /// </summary>
        internal static string LogMsg_GenRteMibCfgFile {
            get {
                return ResourceManager.GetString("LogMsg_GenRteMibCfgFile", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Start generation of module configuration source file..
        /// </summary>
        internal static string LogMsg_GenSourceCfgFile {
            get {
                return ResourceManager.GetString("LogMsg_GenSourceCfgFile", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Module configuration header file generated!.
        /// </summary>
        internal static string LogMsg_HeaderCfgFileGenerated {
            get {
                return ResourceManager.GetString("LogMsg_HeaderCfgFileGenerated", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Memory mapping file generated!.
        /// </summary>
        internal static string LogMsg_MemMapGenerated {
            get {
                return ResourceManager.GetString("LogMsg_MemMapGenerated", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Module internal behavior file generated!.
        /// </summary>
        internal static string LogMsg_RteMibCfgFileGenerated {
            get {
                return ResourceManager.GetString("LogMsg_RteMibCfgFileGenerated", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Module configuration source file generated!.
        /// </summary>
        internal static string LogMsg_SourceCfgFileGenerated {
            get {
                return ResourceManager.GetString("LogMsg_SourceCfgFileGenerated", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Start generation of module memory mapping file..
        /// </summary>
        internal static string LogMsg_StartGenMemMap {
            get {
                return ResourceManager.GetString("LogMsg_StartGenMemMap", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to ModuleInternalBehaviour.xml.
        /// </summary>
        internal static string RteCfgFileName {
            get {
                return ResourceManager.GetString("RteCfgFileName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Init.
        /// </summary>
        internal static string RteMib_InitRunnableName {
            get {
                return ResourceManager.GetString("RteMib_InitRunnableName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to f14fc1dfc70a4bbdb1bc4c57bcd6ce80.
        /// </summary>
        internal static string RteMib_InitRunnableName_UUID {
            get {
                return ResourceManager.GetString("RteMib_InitRunnableName_UUID", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Mainfunction.
        /// </summary>
        internal static string RteMib_MainfunctionRunnableName {
            get {
                return ResourceManager.GetString("RteMib_MainfunctionRunnableName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to c73ea0a13c894e638728f2f106f9699d.
        /// </summary>
        internal static string RteMib_MainfunctionRunnableName_UUID {
            get {
                return ResourceManager.GetString("RteMib_MainfunctionRunnableName_UUID", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to b517044e4cd911ebae930242ac130002.
        /// </summary>
        internal static string RteMib_Module_UUID {
            get {
                return ResourceManager.GetString("RteMib_Module_UUID", resourceCulture);
            }
        }
    }
}
